#ifndef voicebox_isdn_hh
#define voicebox_isdn_hh

#include <string>

#include "db.hh"
#include "fun.h"

#include "stream.hh"

class isdn : public customstream
{
	enum {
		DLE = 0x10,
		ETX = 0x03,
		ERX = 0x14
	};
private:
	void rejectcall();
	void acceptcall();
	void beep(unsigned len, float vol = 1.0);
	void pipeout(const string &cmd);
	void readandsend(class db &database, cidtype &caller);
public:
	void open(const string &devicefile);
	void init();
	void setnumber(const string &num);
	void loop(class db &database, class db &msgdb);
};

#endif
